/**
 * \file
 *
 * \brief Animation: test
 * For RGB LED cube 5x5x5
 *
 * \author Anime maker version 1.0 beta
 *
 * Anime maker by: Martin Stejskal (martin.stej@gmail.com)
 *
 */

#include "anim_test.h"

/* Data format (binary data for framebuffer)
 *     |MSB|           |LSB|MSB|           |LSB|MSB|           |LSB|
 * +---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
 * | 0 | R | R | R | R | R | G | G | G | G | G | B | B | B | B | B |
 * +---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
 *
 * Instruction format (if MSB is 1, then it is possible change some settings)
 *     |MSB|           |LSB|MSB|           |LSB|MSB|           |LSB|
 * +---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
 * | 1 | C | C | C | C | C | C | C | V | V | V | V | V | V | V | V |
 * +---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
 *  C - command (0~127)
 *  V - value   (0~255)
 *
 */
const uint16_t bin_anim_test[] PROGMEM =
  {  // Serial stream of data
    // Command start of animation + value (slowdown factor)
    cmd_anim_start + 7,
    //Data + other commands (body)
    // Frame 0
    cmd_set_pwm_r + 90,
    0x0000,0x2040,0x2040,0x2040,0x0000,
    cmd_param_2D_frame + 0,
    cmd_param_2D_frame + 0,
    cmd_param_2D_frame + 0,
    cmd_param_2D_frame + 0,
    

    // Frame 1
    cmd_param_3D_frame + 1,
    

    // Frame 2
    cmd_param_3D_frame + 1,
    

    // Frame 3
    cmd_param_3D_frame + 1,
    

    // Frame 4
    cmd_param_3D_frame + 1,
    

    // Frame 5
    cmd_param_3D_frame + 1,
    

    // Frame 6
        // End of animation + option
    cmd_anim_stop + 1
  };